import Highlight, { defaultProps } from 'prism-react-renderer';
import { jsx, Styled } from 'theme-ui';

function _extends() {
  _extends = Object.assign || function (target) {
    for (var i = 1; i < arguments.length; i++) {
      var source = arguments[i];

      for (var key in source) {
        if (Object.prototype.hasOwnProperty.call(source, key)) {
          target[key] = source[key];
        }
      }
    }

    return target;
  };

  return _extends.apply(this, arguments);
}

function _objectWithoutPropertiesLoose(source, excluded) {
  if (source == null) return {};
  var target = {};
  var sourceKeys = Object.keys(source);
  var key, i;

  for (i = 0; i < sourceKeys.length; i++) {
    key = sourceKeys[i];
    if (excluded.indexOf(key) >= 0) continue;
    target[key] = source[key];
  }

  return target;
}

const aliases = {
  js: 'javascript',
  sh: 'bash'
};
var index = ((_ref) => {
  let {
    children,
    className: outerClassName
  } = _ref,
      props = _objectWithoutPropertiesLoose(_ref, ["children", "className", "title"]);

  const [language] = outerClassName.replace(/language-/, '').split(' ');
  const lang = aliases[language] || language;
  return jsx(Highlight, _extends({}, defaultProps, props, {
    code: children.trim(),
    language: lang,
    theme: undefined
  }), ({
    className,
    style,
    tokens,
    getLineProps,
    getTokenProps
  }) => jsx(Styled.pre, {
    className: `${outerClassName} ${className}`,
    style: style
  }, tokens.map((line, i) => jsx("div", getLineProps({
    line,
    key: i
  }), line.map((token, key) => jsx("span", _extends({}, getTokenProps({
    token,
    key
  }), {
    sx: {
      display: 'inline-block'
    }
  })))))));
});

export default index;
//# sourceMappingURL=prism.modern.js.map
