(function (global, factory) {
  typeof exports === 'object' && typeof module !== 'undefined' ? module.exports = factory(require('prism-react-renderer'), require('theme-ui')) :
  typeof define === 'function' && define.amd ? define(['prism-react-renderer', 'theme-ui'], factory) :
  (global = global || self, global.prism = factory(global.prismReactRenderer, global.themeUi));
}(this, (function (Highlight, themeUi) {
  var Highlight__default = 'default' in Highlight ? Highlight['default'] : Highlight;

  function _extends() {
    _extends = Object.assign || function (target) {
      for (var i = 1; i < arguments.length; i++) {
        var source = arguments[i];

        for (var key in source) {
          if (Object.prototype.hasOwnProperty.call(source, key)) {
            target[key] = source[key];
          }
        }
      }

      return target;
    };

    return _extends.apply(this, arguments);
  }

  function _objectWithoutPropertiesLoose(source, excluded) {
    if (source == null) return {};
    var target = {};
    var sourceKeys = Object.keys(source);
    var key, i;

    for (i = 0; i < sourceKeys.length; i++) {
      key = sourceKeys[i];
      if (excluded.indexOf(key) >= 0) continue;
      target[key] = source[key];
    }

    return target;
  }

  var aliases = {
    js: 'javascript',
    sh: 'bash'
  };
  var index = (function (_ref) {
    var children = _ref.children,
        outerClassName = _ref.className,
        props = _objectWithoutPropertiesLoose(_ref, ["children", "className", "title"]);

    var _outerClassName$repla = outerClassName.replace(/language-/, '').split(' '),
        language = _outerClassName$repla[0];

    var lang = aliases[language] || language;
    return themeUi.jsx(Highlight__default, _extends({}, Highlight.defaultProps, props, {
      code: children.trim(),
      language: lang,
      theme: undefined
    }), function (_ref2) {
      var className = _ref2.className,
          style = _ref2.style,
          tokens = _ref2.tokens,
          getLineProps = _ref2.getLineProps,
          getTokenProps = _ref2.getTokenProps;
      return themeUi.jsx(themeUi.Styled.pre, {
        className: outerClassName + " " + className,
        style: style
      }, tokens.map(function (line, i) {
        return themeUi.jsx("div", getLineProps({
          line: line,
          key: i
        }), line.map(function (token, key) {
          return themeUi.jsx("span", _extends({}, getTokenProps({
            token: token,
            key: key
          }), {
            sx: {
              display: 'inline-block'
            }
          }));
        }));
      }));
    });
  });

  return index;

})));
//# sourceMappingURL=prism.umd.js.map
